Author Topic: Vompclient for RPI 2 with raspbian jessie  (Read 3584 times)

Offline rkw

  • Jr. Member
  • **
  • Posts: 4
    • View Profile
    • Email
Vompclient for RPI 2 with raspbian jessie
« on: October 18, 2015, 17:03:44 »
Is there room for hope to get this ?

Best regards rkw

Offline MartenR

  • Hero Member
  • *****
  • Posts: 788
    • View Profile
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #1 on: October 23, 2015, 07:15:50 »
Please tell me, what the problem is?
I do not have a RPI 2, but users of vomp reported to me, that the current development branch scraper_support just works on raspberry 2.
Of course you must have the corresponding server version.

Marten

Offline rkw

  • Jr. Member
  • **
  • Posts: 4
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #2 on: October 23, 2015, 09:00:37 »
Hi,
Quote
Please tell me, what the problem is?
I do not have a RPI 2, but users of vomp reported to me, that the current development branch scraper_support just works on raspberry 2.
Of course you must have the corresponding server version.
I use the Server-Plugin 0.4.1 and the compiled Version 0.4.1 from the loggytronic-website with a RPi B+ .
This compiled version don't work with jessie and an RPI2. The dependies are broken. It don't help, to install an Squeeze-OS-Version on the RPI 2. There are no errors with the dependies, the sound works but i get no video. May be there is a different GPU inside.
I can try to compile from source. But my knowledge there is not really good. I need a little bit help to do this.  ;)

Thanks for your answer, Marten.
Best regards rkw




Offline rkw

  • Jr. Member
  • **
  • Posts: 4
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #3 on: October 23, 2015, 21:57:20 »
Quote
It don't help, to install an Squeeze-OS-Version on the RPI 2
Sorry, it's not Squeeze. It's Wheezy of course.

Offline MartenR

  • Hero Member
  • *****
  • Posts: 788
    • View Profile
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #4 on: October 24, 2015, 08:26:30 »
You have to get the source from git and run dpkg-buildpackage inside the directory, of course with all build dependencies installed. Search on the web how to build a debian package.

Marten

Offline Bandit2001

  • Jr. Member
  • **
  • Posts: 13
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #5 on: March 18, 2016, 18:26:04 »
Hello,

same issue here.
I used vomp on mvp for several years.

Now, I'd like to "update" my vdr to HD, and use vomp with HD as I used it before.
Is there any chance to get vomp to run on a RasPi2 with Raspbian Jessie?

Thanks,
Ralph
Aller Anfang ist schwer..
New VDR:
HP Microserver Gen8 G1610T, 4GB RAM, TBS-6982,  easyVDR 2.5.0 stable

Offline MartenR

  • Hero Member
  • *****
  • Posts: 788
    • View Profile
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #6 on: March 19, 2016, 07:51:53 »
Can you just try to get the current source from the scraper branch on jessie OS, and try to use dpkg-buildpackage and report the errors which occur...

Marten

Offline Bandit2001

  • Jr. Member
  • **
  • Posts: 13
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #7 on: March 19, 2016, 15:28:50 »
Hello Marten,

thanks for your advice.
First of all, it is the first time I tried to compile something for vdr/linux, therefore I don't know if everything is correct.

I started with a "clean" Raspbian Jessie system.
First of all:
Code: [Select]
apt-get update
apt-get upgrade
apt-get install vdr-dev

Then get the vompclient:
Code: [Select]
mkdir /source
cd /source
git clone http://git.vomp.tv/vompclient.git
cd vompclient
git checkout scraper_support

First try to compile:
->dpkg-buildpackage
Code: [Select]
dpkg-buildpackage: Quellpaket vompclient
dpkg-buildpackage: Quellversion 0.4.2-1
dpkg-buildpackage: Quelldistribution UNRELEASED
dpkg-buildpackage: Quellen geändert durch Marten Richter <marten.richter@freenet.de>
dpkg-buildpackage: Host-Architektur armhf
 dpkg-source --before-build vompclient
dpkg-checkbuilddeps: Nicht erfüllte Bauabhängigkeiten: libcec-dev (>= 1.8.1) libmagick++-dev libavformat-dev libavutil-dev libavcodec-dev libavresample-dev
dpkg-buildpackage: Warnung: Bauabhängigkeiten/-konflikte nicht erfüllt; Abbruch
dpkg-buildpackage: Warnung: (Verwenden Sie -d, um sich darüber hinwegzusetzen.)

Ok, get some more libs:
Code: [Select]
apt-get install libcec-dev libmagick++-dev libavformat-dev libavutil-dev libavcodec-dev libavresample-dev

Next try, next error:
Quote
In file included from /opt/vc/include/bcm_host.h:54:0,
                 from osdopenvg.cc:35:
/opt/vc/include/interface/vmcs_host/vcgencmd.h:33:27: fatal error: vchost_config.h: Datei oder Verzeichnis nicht gefunden
 #include "vchost_config.h"
                           ^
compilation terminated.

On the internet I found this, so I tried to fix the error.

Third try, and last error for me:
Quote
dpkg-buildpackage: Quellpaket vompclient
dpkg-buildpackage: Quellversion 0.4.2-1
dpkg-buildpackage: Quelldistribution UNRELEASED
dpkg-buildpackage: Quellen geändert durch Marten Richter <marten.richter@freenet.de>
dpkg-buildpackage: Host-Architektur armhf
 dpkg-source --before-build vompclient
 debian/rules clean
dh clean
   dh_testdir
   debian/rules override_dh_auto_clean
make[1]: Entering directory '/source/vompclient'
/usr/bin/make clean
make[2]: Entering directory '/source/vompclient'
selected raspberry
raspberry normal compiler
Setting up objects
Raspberry pi flags
gcc -MM -DVOMP_PLATTFORM_RASPBERRY   -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads  -I/usr/include/freetype2 -I/usr/include/ImageMagick -I/usr/include/ImageMagick-6 -I/usr/include/arm-linux-gnueabihf/ImageMagick-6  command.cc tcp.cc dsock.cc thread.cc timers.cc i18n.cc message.cc messagequeue.cc udp.cc wol.cc audio.cc video.cc log.cc mutex.cc vdr.cc recman.cc recording.cc recinfo.cc channel.cc rectimer.cc event.cc directory.cc mark.cc option.cc player.cc playerradio.cc vfeed.cc afeed.cc demuxer.cc demuxervdr.cc demuxerts.cc stream.cc region.cc colour.cc boxstack.cc boxx.cc tbboxx.cc vinfo.cc vquestion.cc vrecordinglist.cc vrecordinglistclassic.cc vrecordinglistadvanced.cc vrecording.cc vepgsummary.cc vepglistadvanced.cc vmute.cc vvolume.cc vtimerlist.cc vtimeredit.cc vrecordingmenu.cc vchannellist.cc vwelcome.cc vvideorec.cc vepgsettimer.cc vchannelselect.cc vserverselect.cc vconnect.cc vepg.cc vrecmove.cc vradiorec.cc vaudioselector.cc vscreensaver.cc vopts.cc wselectlist.cc wjpeg.cc wsymbol.cc wbutton.cc wtextbox.cc woptionpane.cc woptionbox.cc wremoteconfig.cc wtabbar.cc remote.cc led.cc mtd.cc osd.cc surface.cc vpicturebanner.cc abstractoption.cc eventdispatcher.cc vdrrequestpacket.cc vdrresponsepacket.cc vvideolivetv.cc vsleeptimer.cc playerlivetv.cc playerliveradio.cc wprogressbar.cc bitmap.cc dvbsubtitles.cc tfeed.cc vteletextview.cc teletextdecodervbiebu.cc teletxt/txtfont.cc movieinfo.cc seriesinfo.cc wmovieview.cc wseriesview.cc tvmedia.cc wtvmedia.cc wpictureview.cc main.cc threadp.cc osdvector.cc surfacevector.cc osdopenvg.cc ledraspberry.cc mtdraspberry.cc videoomx.cc audioomx.cc imageomx.cc wjpegsimple.cc remotelinux.cc signal.cc > deps
selected raspberry
raspberry normal compiler
Setting up objects
Raspberry pi flags
rm -f *.o deps vompclient *~ fonts/*.o fonts/*~ teletxt/*.o
make[2]: Leaving directory '/source/vompclient'
make[1]: Leaving directory '/source/vompclient'
   dh_clean
 dpkg-source -b vompclient
dpkg-source: Fehler: unmöglich, mit Quellformat »3.0 (quilt)« zu bauen: unter ../vompclient_0.4.2.orig.tar.{bz2,gz,lzma,xz} wurde kein Tarball der Originalautoren gefunden
dpkg-buildpackage: Fehler: Fehler-Exitstatus von dpkg-source -b vompclient war 255

Now, I do not know what to do. I even do not know if everything until here was right.
One last question: why do I compile vompclient 0.4.2-1 and not 0.4.1?
Does vompclient 0.4.2 fit to vompserver 0.4.1?

Ralph
Aller Anfang ist schwer..
New VDR:
HP Microserver Gen8 G1610T, 4GB RAM, TBS-6982,  easyVDR 2.5.0 stable

Offline MartenR

  • Hero Member
  • *****
  • Posts: 788
    • View Profile
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #8 on: March 19, 2016, 17:09:47 »
Does not look too bad..., I just forgot something.
Three points:
1) Are you on jessie for raspbian, I am just wondering since the vchost_config error, I think should be gone long ago...
2) I just forgot, you have to create a source tar in order, that debian is happy.  You can do this with create_source_tar script in the debian directory, but you may have to adjust the version number in the script. This is the cause for the error you get in the end.
3) Your questions: "One last question: why do I compile vompclient 0.4.2-1 and not 0.4.1?
Does vompclient 0.4.2 fit to vompserver 0.4.1?
"
Well the scraper branch will eventually be 0.4.2 at some time. And only in this branch fixes for compiling in jessie are included.
And yes you need also the scraper branch on the server. But I think the additional work will pay off, since the scraper support branch gives you a nicer UI and if you have epgd and the scraper plugins installed you even get moviepictures.....


Marten

Offline Bandit2001

  • Jr. Member
  • **
  • Posts: 13
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #9 on: March 19, 2016, 22:52:47 »
Hello Marten,

thanks for your help!

Quote
1) Are you on jessie for raspbian, I am just wondering since the vchost_config error, I think should be gone long ago...
Yes, I think it is. I downloaded it yesterday from https://www.raspberrypi.org/downloads/raspbian/

Quote
2) I just forgot, you have to create a source tar in order, that debian is happy.  You can do this with create_source_tar script in the debian directory, but you may have to adjust the version number in the script. This is the cause for the error you get in the end.
That was the trick, all compiled now!
BTW: how can I disable compiler-warnings?

I can start the vompclient now, tomorrow I'll try to patch the server.

Thanks!

Ralph
Aller Anfang ist schwer..
New VDR:
HP Microserver Gen8 G1610T, 4GB RAM, TBS-6982,  easyVDR 2.5.0 stable

Offline Bandit2001

  • Jr. Member
  • **
  • Posts: 13
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #10 on: March 20, 2016, 12:45:17 »
Hello again,

next issue while patch / compile vompserver (tried to compile on easyVDR 2.5.0)

What have I done on my server
Code: [Select]
apt-get update
apt-get upgrade
apt-get install vdr-dev
apt-get source vdr-plugin-vompserver

mkdir /source
cd /source

git clone http://git.vomp.tv/vompserver.git
cd vompserver
git checkout scraper_support

Until here everything works fine, but 'dpkg-buildpackage' does not work:
Code: [Select]
tail: »debian/changelog“ kann nicht zum Lesen geöffnet werden: Datei oder Verzeichnis nicht gefunden
dpkg-buildpackage: Fehler: Fehler-Exitstatus von Ende von debian/changelog war 1

There is no folder /source/vompserver/debian or file /source/vompserver/debian/changelog.
Where is my mistake?

Regards,
Ralph
Aller Anfang ist schwer..
New VDR:
HP Microserver Gen8 G1610T, 4GB RAM, TBS-6982,  easyVDR 2.5.0 stable

Offline MartenR

  • Hero Member
  • *****
  • Posts: 788
    • View Profile
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #11 on: March 20, 2016, 13:36:19 »
We do not have debian control files for the server.
Do in another directory:

apt-get source vdr-plugin-vompserver

then copy the files from the git over to the new directory.
Then do the dpkg-buildpackage, but it will fail and tell you that there are changes in the directory, but it will also tell you how easily you can build a patch, do this and the dpkg-buildpackage again.

Marten

Offline Bandit2001

  • Jr. Member
  • **
  • Posts: 13
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #12 on: March 20, 2016, 14:24:40 »
Thanks Marten, I think i got it now.
Aller Anfang ist schwer..
New VDR:
HP Microserver Gen8 G1610T, 4GB RAM, TBS-6982,  easyVDR 2.5.0 stable

Offline Bandit2001

  • Jr. Member
  • **
  • Posts: 13
    • View Profile
    • Email
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #13 on: March 23, 2016, 08:39:50 »
Hello Marten,

I have to ask one last question here:
Is is possible to use RasPi2 & MediaMVP side by side?
When I start my MediaMVP now, I get a "protocoll mismatch..." error.

Regards,
Ralph
Aller Anfang ist schwer..
New VDR:
HP Microserver Gen8 G1610T, 4GB RAM, TBS-6982,  easyVDR 2.5.0 stable

Offline MartenR

  • Hero Member
  • *****
  • Posts: 788
    • View Profile
Re: Vompclient for RPI 2 with raspbian jessie
« Reply #14 on: March 23, 2016, 09:18:08 »
Not with the scraper_support branch.... (here mediamvp is not ready).
It is also very likely, that we drop support for the mediamvp, see poll under annoucements.

Marten